import { createRouter, createWebHistory } from 'vue-router'
export const homeIndex = () => import('@/views/home/index.vue')

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/login',
      name: 'login',
      meta: { title: '账号登录' },
      component: () => import('@/views/login/index.vue')
    },
    {
      path: '/',
      meta: { title: '系统首页' },
      component: () => import('@/layout/index.vue'),
      children: [
        {
          path: '/',
          meta: { title: '系统首页' },
          component: () => import('@/views/home/index.vue')
        }
      ]
    }
  ]
})

export default router
